/* ===========================================================
                    Виджет карты YMapsV3
=============================================================*/
.yandex-map-elements {
    position: relative;
    margin: 0;
    padding: 0;
}
/* Карта */
.ymaps3x0--controls {
    z-index: 998px;
}
.yandex-map-elements .map-elements {
    position: relative;
    /* width: 100%;
    height: 400px; */
    height: 400px;
}
.yandex-map-elements .input-search-variants-block-layer {
    position: absolute;
    top: 36px;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.3);
    z-index: 9;
    /* outline: 1px solid red; */
    /* height: 630px; */
}
.yandex-map-elements .search-elements {
    width: 500px;
    position: relative;
    z-index: 9;
    top: 54px;
    left: 11px;
}
.yandex-map-elements .search-elements .search-form {
    position: relative;
    border: 1px solid #d8d7d7;
    border-radius: 5px;
    width: 100%;
}
.yandex-map-elements .search-elements .search-form .input-search {
    /* outline: 1px solid red; */
    background-color: #fff;
    border-radius: 5px;
    width: 100%;
}
.yandex-map-elements .search-elements .search-form input {
    border: none;
    border-radius: 5px;
    width: 86%;
}
.yandex-map-elements .search-elements .search-form .btns-actoins {
    position: absolute;
    top: 0;
    right: 3px;
    height: 100%;
}
.yandex-map-elements .search-elements .search-form .search-buttons {
    background-color: white;
    /* border-top: 1px solid #ced4da;
    border-bottom: 1px solid #ced4da; */
    padding: 0;
    height: 100%;
    border: 0;
}
.yandex-map-elements .search-elements .search-form .btn-cancel {
    /* border-right: 1px solid #ced4da; */
}
.yandex-map-elements .search-elements .search-form .search-buttons .fa {
    padding: 8px 10px;
    color: rgba(0, 0, 0, 0.5);
    transition: all 0.3s;
    font-size: 1.6rem;
}
.yandex-map-elements .search-elements .search-form .btn-search .fa {
    border-right: 1px solid #ced4da;
    margin-right: 1px;
}
.yandex-map-elements .search-elements .search-form .btn:hover > .fa {
    color: rgba(0, 0, 0, 1);
}

.yandex-map-elements .list-group {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    padding-left: 0;
    margin-bottom: 0;
    border-radius: 0.25rem;
}
.yandex-map-elements .list-group-item {
    position: relative;
    display: block;
    padding: 0.75rem 1.25rem;
    background-color: #fff;
    font-family: 'Proxima Nova', sans-serif;
    border: 1px solid rgba(0, 0, 0, 0.125);
}
.yandex-map-elements .list-group-item {
    line-height: 1.85em;
}
.yandex-map-elements .search-elements .search-list-variants .list-group-item {
    padding: 0.25rem 1.25rem;
    border: none;
}
.yandex-map-elements .list-group-item-action {
    width: 100%;
    color: #495057;
    text-align: inherit;
}

.yandex-map-elements .search-list-variants::-webkit-scrollbar {
    width: 4px; /* ширина scrollbar */
}
.yandex-map-elements .search-list-variants::-webkit-scrollbar-track {
    background: rgba(221, 221, 221); /* цвет дорожки */
}
.yandex-map-elements .search-list-variants::-webkit-scrollbar-thumb {
    background-color: rgb(177, 177, 177); /* цвет плашки */
    /*border-radius: 20px;*/ /* закругления плашки */
    /*border: 1px solid rgb(221,221,221);*/ /* padding вокруг плашки */
}
.yandex-map-elements .search-elements .search-list-variants {
    position: absolute;
    width: 100%;
    top: 38px;
    overflow-y: scroll;
    max-height: 255px;
}
.yandex-map-elements .search-elements .search-list-variants .list-group-item {
    padding: 0.55rem 1.25rem;
    border: none;
}
.yandex-map-elements
    .search-elements
    .search-list-variants
    .list-group-item:hover {
    background-color: #e3e3e3;
}
.yandex-map-elements .search-elements .search-list-variants .list-group-item p {
    font-size: 1.5rem;
    padding: 0;
    margin: 0;
}
.yandex-map-elements
    .search-elements
    .search-list-variants
    .list-group-item
    p.item-subtitle {
    font-size: 1.2rem;
    color: #737e89;
}
.yandex-map-elements
    .search-elements
    .search-list-variants
    .list-group-item:first-child,
.yandex-map-elements
    .search-elements
    .search-list-variants
    .list-group-item:last-child {
    border-radius: 0;
}
.yandex-map-elements .w-map {
    float: left;
    margin-right: 10px;
    margin-bottom: 10px;
    position: relative;
    width: 100%;
    height: 100%;
}
.yandex-map-elements .w-map .wrap-marker {
    /* outline: 1px solid; */
    width: 26px;
    height: 36px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -96%);
}
.yandex-map-elements #marker {
    width: 26px;
    height: 45px;
    position: absolute;
    top: -10px;
    /* outline: 1px solid red; */
}
.yandex-map-elements #marker img {
    width: 26px;
    height: 45px;
}
.yandex-map-elements #point_shadow {
    width: 6px;
    height: 4px;
    position: absolute;
    top: 50%;
    left: 46%;
    opacity: 0.8;
    background-color: black;
    border-radius: 100px;
    margin-top: 58%;
    margin-left: -6%;
    /* outline: 1px solid green; */
}
@media (max-width: 999px) {
    .yandex-map-elements .search-elements .search-form input {
        height: 37px;
        font-size: 1.8em;
    }
    .yandex-map-elements .input-search-variants-block-layer {
        top: 39px;
    }
}
@media (max-width: 650px) {
    .user-addresses .gTitle {
        font-size: 3em;
    }
    .yandex-map-elements .search-elements {
        width: 100%;
        top: -8px;
        left: 0;
    }
}
@media (max-width: 440px) {
    .user-addresses .gTitle {
        font-size: 2.5em;
        text-align: center;
        margin: -20px 0 20px;
    }
}
